Bug 831810 - [abrt] alacarte-0.13.4-4.fc17: types.py:43:function:GError: Error opening file: No such file or directory
[abrt] alacarte-0.13.4-4.fc17: types.py:43:function:GError: Error opening fil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
abrt_hash:32e3fc3059924051a287b77d848...
:
: 839306 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 15:40 EDT by Raphaël Flores
Modified: 2014-08-26 22:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphaël Flores 2012-06-13 15:40:26 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
comment:        I created an entry in Alacarte for Thunderbird which was installed on another partition mounted before reboot. After reboot, the partition was no longer mount and Alacarte threw an error at it s own launch.
executable:     /usr/bin/alacarte
kernel:         3.4.0-1.fc17.i686
reported_to:    file: /tmp/log_file
time:           Wed 13 Jun 2012 09:35:22 PM CEST
uid:            1000
username:       rflores

backtrace:
:types.py:43:function:GError: Error opening file: No such file or directory
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 354, in on_menu_tree_cursor_changed
:    self.loadItems(self.menu_store[menu_path][2], menu_path)
:  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 218, in loadItems
:    icon = util.getIcon(item)
:  File "/usr/lib/python2.7/site-packages/Alacarte/util.py", line 151, in getIcon
:    pixbuf = info.load_icon()
:  File "/usr/lib/python2.7/site-packages/gi/types.py", line 43, in function
:    return info.invoke(*args, **kwargs)
:GError: Error opening file: No such file or directory
:
:Local variables in innermost frame:
:info: <gi.FunctionInfo object (load_icon) at 0x0x84a308c>
:args: (<GtkIconInfo at 0x852d5e0>,)
:kwargs: {}

event_log:
:2012-06-13-21:37:44> Smolt profile successfully saved
:2012-06-13-21:38:31> The report was appended to /tmp/log_file
:2012-06-13-21:38:31> Logging into Bugzilla at https://bugzilla.redhat.com
:2012-06-13-21:38:33  fatal: RPC failed at server.  The username or password you entered is not valid.
:2012-06-13-21:38:33* (exited with 1)
:2012-06-13-21:39:32> Smolt profile successfully saved
:2012-06-13-21:40:19> The report was appended to /tmp/log_file

smolt_data:
:
:
:General
:=================================
:UUID: 79470c2e-ef65-47c4-ab97-43ddb7f79e06
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5628.14
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II X2 240 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 2800
:System Memory: 2902
:System Swap: 2047
:Vendor: Gigabyte Technology Co., Ltd.
:System: GA-MA74GM-S2H 
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:30998:5208:20480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 2)
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:30993:5208:20480) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:31001:5208:31001) pci, snd_hda_intel, MULTIMEDIA, Radeon X1200 Series Audio Controller
:(4098:30994:4098:30994) pci, None, PCI/PCI, RS690 PCI to PCI Bridge (Internal gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, piix4_smbus, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:5208:20481) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:40962) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4204:33081:4204:0) pci, None, ETHERNET, N/A
:(4098:31086:5208:53248) pci, radeon, VIDEO, Radeon 2100
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 4619724 3829132 3782873 1163264 1058533 1058533
:/dev/sda3 /home ext4 4096 4096 10218049 4587915 4075915 2564096 2519505 2519505
:/dev/sdb8 WITHHELD ext4 4096 4096 52929836 10146219 7496504 13254656 13148215 13148215
:/dev/sdc8 WITHHELD ext4 4096 4096 68298159 4475968 1057140 17096704 16908933 16908933
:
Comment 1 Maxim Philippov 2012-06-18 15:26:15 EDT
Just started alacarte through Applications.

Package: alacarte-0.13.4-4.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Jasper St. Pierre 2012-06-18 15:32:55 EDT
Somehow, an icon is missing. We should fall back in that case, but I'm curious what the icon is.
Comment 3 Raphaël Flores 2012-06-18 16:52:13 EDT
The icon is a simple PNG of thunderbird, no matter what it is, but the fact is that the partition holding the icon (and thunderbird binary) was unmounted at this time.

Not found the icon on a mounted system is a thing, trying to reach a file on unmounted path may be different, don't know how things are done for alacarte.
Comment 4 donjoe 2012-07-02 23:18:18 EDT
I'm also experiencing this bug. Is it really so that alacarte won't start if it can't find icons for all programs in the menu structure?
Comment 5 Jasper St. Pierre 2012-07-02 23:38:13 EDT
I've fixed this upstream:

http://git.gnome.org/browse/alacarte/commit/?id=45083e538491363db9c972a43240c453965f7274
Comment 6 Kurt Nelson 2012-07-04 18:08:24 EDT
Ran alacarte as standard user

Package: alacarte-0.13.4-4.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Doug Hutcheson 2012-07-05 01:45:17 EDT
Opened Alacarte for the first time in FC17. It came up at the same time as the abrt message saying there had been a problem.

Package: alacarte-0.13.4-4.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Jasper St. Pierre 2012-07-11 11:38:22 EDT
*** Bug 839306 has been marked as a duplicate of this bug. ***
Comment 9 Alexander Lipatov 2012-07-19 04:46:08 EDT
Maybe I have menu items on removed (manually deleted) applications.

Package: alacarte-0.13.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Michael Windham 2012-07-28 19:24:14 EDT
I was adding items to show on the frippery gnome extension drop down menu when I clicked on the Sound and Video menu and the window vanished from the screen.

Package: alacarte-0.13.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 tj4505 2012-08-28 14:14:01 EDT
Installed alacarte using "add/remove software" and it failed on first opening.

Package: alacarte-0.13.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Brooks 2012-08-29 23:28:35 EDT
Opened alacarte

Package: alacarte-0.13.4-4.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 13 Raffael Luthiger 2012-09-22 08:13:25 EDT
1) Started the software
2) Clicked on the menu "Internet" on the left.


Package: alacarte-0.13.4-4.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 14 Fedora End Of Life 2013-07-03 19:22:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-07-31 22:00:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.